org.eclnt.jsfserver.defaultscreens

## Class IImageCaptureProvider.ImageData

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.IImageCaptureProvider.ImageData

- Enclosing interface:
    IImageCaptureProvider

      public static class IImageCaptureProvider.ImageData
      extends java.lang.Object

  Information behind one information aspect.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCommand(java.lang.String id, java.lang.String text)` Each information aspect has a set of commands.
    `void` | `addCommand(java.lang.String id, java.lang.String text, boolean enabled)` Extended way of passing a command => with "enabled"-information in addition.
    `IImageCaptureProvider.ImageCommandList` | `getCommands()` Returns list of commands.
    `java.lang.String` | `getIconTooltip()`
    `java.lang.String` | `getIconUrl()`
    `byte[]` | `getImage()`
    `java.lang.String` | `getPostBgpaint()`
    `java.lang.Object` | `getReference()`
    `boolean` | `isAvailable()`
    `void` | `setAvailable(boolean available)` Define if information behind information aspect is available.
    `void` | `setIconTooltip(java.lang.String iconTooltip)` Tool tip which is shown for the information.
    `void` | `setIconUrl(java.lang.String iconUrl)` Set the icon for the aspect.
    `void` | `setImage(byte[] image)` Image that is the image behind the information aspect.
    `void` | `setPostBgpaint(java.lang.String value)` BGPAINT command that is always appended BEHIND the bgpaint that is managed by the component.
    `void` | `setReference(java.lang.Object value)` ImageData allows to "park" a reference object, which can be used later on in the event processing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageData

          public ImageData()

  - ### Method Detail

    - #### setReference

          public void setReference(java.lang.Object value)

      ImageData allows to "park" a reference object, which can be used later on in the event processing. The object is not used within the processing of the IMAGECAPTURE controls, but just serves as reference.

    - #### getReference

          public java.lang.Object getReference()

    - #### getIconUrl

          public java.lang.String getIconUrl()

    - #### setIconUrl

          public void setIconUrl(java.lang.String iconUrl)

      Set the icon for the aspect. Should be a "URL" which is absolute within the web application, e.g. "/images/xyz.png".

    - #### getIconTooltip

          public java.lang.String getIconTooltip()

    - #### setIconTooltip

          public void setIconTooltip(java.lang.String iconTooltip)

      Tool tip which is shown for the information.

    - #### getImage

          public byte[] getImage()

    - #### setImage

          public void setImage(byte[] image)

      Image that is the image behind the information aspect. Pay attention: this is not the icon, but this is the actual image. The icon tells something about the type of information aspect, the image is the information itself.
      Use ValueManager in order to convert byte[] into "hex String".

    - #### isAvailable

          public boolean isAvailable()

    - #### setAvailable

          public void setAvailable(boolean available)

      Define if information behind information aspect is available.

    - #### getCommands

          public IImageCaptureProvider.ImageCommandList getCommands()

      Returns list of commands. You may change the list (e.g. clear it). Adding of items is done via addCommand().

    - #### addCommand

          public void addCommand(java.lang.String id,
                                 java.lang.String text)

      Each information aspect has a set of commands. The commands are shown aside the image of the information aspect. Each command is a combination out of "id" and "text".
      There is a pre-configured command available which uploads an image from the client's file system. Use the id "UPLOAD" in order to take use.

    - #### addCommand

          public void addCommand(java.lang.String id,
                                 java.lang.String text,
                                 boolean enabled)

      Extended way of passing a command => with "enabled"-information in addition.

    - #### setPostBgpaint

          public void setPostBgpaint(java.lang.String value)

      BGPAINT command that is always appended BEHIND the bgpaint that is managed by the component.

    - #### getPostBgpaint

          public java.lang.String getPostBgpaint()

Copyright © CaptainCasa Gmbh. All Rights Reserved.